path: /build/build/strace-dev-util-6.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-static -unwind aio elfutils perl" emerge dev-util/strace -pv -t && \
    USE="-static -unwind aio elfutils perl" emerge -j ${JOBS} --nodeps dev-util/strace
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/strace && luet-portage --dir /pkgdir/strace
    dev-util/strace && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:85207a05040a92a396298b64ca7b765803197d75a229b2b29d342e2366ca5e2c
  package:
    name: strace
    version: "6.7"
    category: dev-util
    use_flags:
    - -static
    - -unwind
    - aio
    - elfutils
    - perl
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A useful diagnostic, instructional, and debugging tool
    uri:
    - https://strace.io/
    license: BSD
    buildtimestamp: 2024-02-09 20:09:03.322277641 +0000 UTC m=+204.621465017
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: static? ( unwind? ( sys-libs/libunwind[static-libs(+)] ) elfutils? (
        dev-libs/elfutils[static-libs(+)] ) ) aio? ( >=dev-libs/libaio-0.3.106 ) sys-kernel/linux-headers
      IUSE: aio perl static unwind elfutils
      RDEPEND: '!static? ( unwind? ( sys-libs/libunwind ) elfutils? ( dev-libs/elfutils
        ) ) perl? ( dev-lang/perl )'
      emerge.packages: dev-util/strace
      kit: dev-kit
      original.package.name: dev-util/strace
      original.package.slot: "0"
      original.package.version: "6.7"
    treedir: /build/packages
  package_dir: /pkgdir/strace
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8391bc2cdff67991817adc1c7c30166dbb999158db9435c0365754da4788d97c
compressiontype: zstd
files:
- usr/bin/strace
- usr/bin/strace-graph
- usr/bin/strace-log-merge
- usr/share/doc/strace-6.7/AUTHORS
- usr/share/doc/strace-6.7/CREDITS.bz2
- usr/share/doc/strace-6.7/ChangeLog.bz2
- usr/share/doc/strace-6.7/NEWS.bz2
- usr/share/doc/strace-6.7/README-configure.bz2
- usr/share/doc/strace-6.7/README.bz2
- usr/share/man/man1/strace-log-merge.1.bz2
- usr/share/man/man1/strace.1.bz2
- var/db/pkg/dev-util/strace-6.7/BDEPEND
- var/db/pkg/dev-util/strace-6.7/BUILD_TIME
- var/db/pkg/dev-util/strace-6.7/CATEGORY
- var/db/pkg/dev-util/strace-6.7/CBUILD
- var/db/pkg/dev-util/strace-6.7/CFLAGS
- var/db/pkg/dev-util/strace-6.7/CHOST
- var/db/pkg/dev-util/strace-6.7/CONTENTS
- var/db/pkg/dev-util/strace-6.7/COUNTER
- var/db/pkg/dev-util/strace-6.7/CXXFLAGS
- var/db/pkg/dev-util/strace-6.7/DEFINED_PHASES
- var/db/pkg/dev-util/strace-6.7/DEPEND
- var/db/pkg/dev-util/strace-6.7/DESCRIPTION
- var/db/pkg/dev-util/strace-6.7/EAPI
- var/db/pkg/dev-util/strace-6.7/FEATURES
- var/db/pkg/dev-util/strace-6.7/HOMEPAGE
- var/db/pkg/dev-util/strace-6.7/INHERITED
- var/db/pkg/dev-util/strace-6.7/IUSE
- var/db/pkg/dev-util/strace-6.7/IUSE_EFFECTIVE
- var/db/pkg/dev-util/strace-6.7/KEYWORDS
- var/db/pkg/dev-util/strace-6.7/LDFLAGS
- var/db/pkg/dev-util/strace-6.7/LICENSE
- var/db/pkg/dev-util/strace-6.7/NEEDED
- var/db/pkg/dev-util/strace-6.7/PF
- var/db/pkg/dev-util/strace-6.7/RDEPEND
- var/db/pkg/dev-util/strace-6.7/REQUIRES
- var/db/pkg/dev-util/strace-6.7/SIZE
- var/db/pkg/dev-util/strace-6.7/SLOT
- var/db/pkg/dev-util/strace-6.7/USE
- var/db/pkg/dev-util/strace-6.7/environment.bz2
- var/db/pkg/dev-util/strace-6.7/repository
- var/db/pkg/dev-util/strace-6.7/strace-6.7.ebuild
package_cacheimage: ""
runtime:
  name: strace
  version: "6.7"
  category: dev-util
  use_flags:
  - -static
  - -unwind
  - aio
  - elfutils
  - perl
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  - name: elfutils
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A useful diagnostic, instructional, and debugging tool
  uri:
  - https://strace.io/
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: static? ( unwind? ( sys-libs/libunwind[static-libs(+)] ) elfutils? ( dev-libs/elfutils[static-libs(+)]
      ) ) aio? ( >=dev-libs/libaio-0.3.106 ) sys-kernel/linux-headers
    IUSE: aio perl static unwind elfutils
    RDEPEND: '!static? ( unwind? ( sys-libs/libunwind ) elfutils? ( dev-libs/elfutils
      ) ) perl? ( dev-lang/perl )'
    emerge.packages: dev-util/strace
    kit: dev-kit
    original.package.name: dev-util/strace
    original.package.slot: "0"
    original.package.version: "6.7"
